name: home_services
description: home_services customer app

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 3.0.0+32
environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  # GET
  get: 4.6.5
  get_storage: 2.1.1
  # DIO
  dio: 4.0.6
  dio_http_cache: 0.3.0
  # FONT
  google_fonts: 4.0.4
  #IMAGES, SLIDERS, LAYOUTS
  cached_network_image: 3.2.3
  carousel_slider: 4.2.1
  flutter_svg: 1.1.6
  flutter_staggered_grid_view: 0.6.2
  image_picker: 0.8.7+5
  cupertino_icons: any
  shimmer: 2.0.0
  intl_phone_field: 3.1.0
  flutter_slidable: 2.0.0
  # WEB
  webview_flutter: 4.2.0
  flutter_html: 3.0.0-alpha.3
  url_launcher: 6.1.11
  # FIREBASE
  firebase_messaging: 14.6.1
  cloud_firestore: 4.7.1
  firebase_auth: 4.6.1
  firebase_core: 2.13.0
  firebase_storage: 11.2.1
  # GOOGLE MAPS
  google_maps_flutter: 2.2.6
  google_maps_flutter_web: 0.4.0+8
  map_launcher: 2.5.0+1
  google_maps_place_picker_mb:
    git:
      url: https://github.com/SmarterVision/google_maps_place_picker_mb.git
      ref: 2.0.0-mb.22
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  collection: ^1.15.0-nullsafety.4


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_launcher_icons: 0.9.3

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - config/
    - assets/img/
    - assets/icon/

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
